classdesc

  Events emitted by {@link module:ol/interaction/Draw~Draw} instances are instances of this type.

### Hierarchy

- BaseEvent
  - DrawEvent

## Index

### Constructors

- constructor

### Properties

- propagationStopped
- target
- type

### Methods

- preventDefault
- stopPropagation

## Constructors

### constructor

- new DrawEvent(type: string, feature: Feature<Geometry>): DrawEvent

- Overrides BaseEvent.__constructor

  - Defined in lib/ol.interaction.Draw.js:14

  #### Parameters

  - ##### type: string

    Type.

  - ##### feature: Feature<Geometry>

    The feature drawn.

  #### Returns DrawEvent

## Properties

### propagationStopped

propagationStopped: boolean

Inherited from BaseEvent.propagationStopped

- Defined in node_modules/ol/events/Event.d.ts:31

### target

target: any

Inherited from BaseEvent.target

- Defined in node_modules/ol/events/Event.d.ts:43

The event target.

api

### type

type: string

Inherited from BaseEvent.type

- Defined in node_modules/ol/events/Event.d.ts:37

The event type.

api

## Methods

### preventDefault

- preventDefault(): void

- Inherited from BaseEvent.preventDefault

  - Defined in node_modules/ol/events/Event.d.ts:48

  Stop event propagation.

  api

  #### Returns void

### stopPropagation

- stopPropagation(): void

- Inherited from BaseEvent.stopPropagation

  - Defined in node_modules/ol/events/Event.d.ts:53

  Stop event propagation.

  api

  #### Returns void

Generated using TypeDoc